Tryton - Issues

 

Issue2420

Title running test using a configuration file fails
Priority feature Status resolved
Superseder Add -c option to test_tryton.py
View: 2121
Nosy List ced, nicoe, roundup-bot
Type behavior Components trytond
Assigned To ced Keywords
Reviews

Created on 2012-01-24.15:46:00 by nicoe, last changed by ced.

Messages
msg15096 (view) Author: [hidden] (roundup-bot) Date: 2014-01-12.20:05:17
New changeset 8d3e9acd35b3 by C?dric Krier in branch 'default':
Add run-tests script and cleanup tests
http://hg.tryton.org/trytond/rev/8d3e9acd35b3
msg15087 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-01-09.18:54:55
It is fixed with review2491002
msg9863 (view) Author: [hidden] (nicoe) (Tryton committer) (Tryton translator) Date: 2012-01-24.15:45:59
Executing the tests using a configuration file (python 
trytond/tests/test_tryton.py -c etc/trytond.conf.postgres) does not work because 
the test_tryton.py file is imported twice and CONFIG['db_type'] is reverted to 
'sqlite'.
History
Date User Action Args
2014-01-12 20:08:02cedsetstatus: testing -> resolved
2014-01-12 20:05:20roundup-botsetnosy: + roundup-bot
messages: + msg15096
2014-01-09 18:55:14cedsetcomponent: + trytond
2014-01-09 18:54:55cedsetstatus: unread -> testing
assignedto: ced
superseder: + Add -c option to test_tryton.py
messages: + msg15087
nosy: + ced
2013-04-20 00:28:42cedsetpriority: bug -> feature
2012-01-24 15:46:00nicoecreate

Showing 10 items. Show all history (warning: this could be VERY long)